package jp.co.nri.rid.search;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/** テキストフィールドを保持するパネル */
class SPFieldHolderPanel extends JPanel {
    /** SCCS ID */
    private static final String SCCSID = "@(#)SPFieldHolderPanel.java";

    /** RCS ID */
    private static final String RCSID =
	"$Id: SPFieldHolderPanel.java,v 1.1 2002-12-19 20:25:44+09 nsmr Exp $";

    /**
     * テキストフィールドにラベルをつけて、パネルに追加する
     *
     * @param key ラベルとして用いる文字列のリソース識別名
     * @param textField このクラスに保持させるテキストフィールド
     */
    void addField(String key, JTextField textField) {
	JLabel label;
	String labelString = SPResourceHash.getString(key);
	label = new JLabel(labelString);
	label.setLabelFor(textField);
	add(label);
	add(textField);
    }
} /* class SPFieldHolderPanel */
